SprayerSetIsFillingEvent = {}
SprayerSetIsFillingEvent_mt = Class(SprayerSetIsFillingEvent, Event)
function SprayerSetIsFillingEvent:emptyNew()
  local self = Event:new(SprayerSetIsFillingEvent_mt)
  return self
end
function SprayerSetIsFillingEvent:new(object, isFilling)
  local self = SprayerSetIsFillingEvent:emptyNew()
  self.object = object
  self.isFilling = isFilling
  return self
end
function SprayerSetIsFillingEvent:readStream(streamId, connection)
  self.object = networkGetObject(streamReadInt32(streamId))
  self.isFilling = streamReadBool(streamId)
  self:run(connection)
end
function SprayerSetIsFillingEvent:writeStream(streamId, connection)
  streamWriteInt32(streamId, networkGetObjectId(self.object))
  streamWriteBool(streamId, self.isFilling)
end
function SprayerSetIsFillingEvent:run(connection)
  if not connection:getIsServer() then
    g_server:broadcastEvent(self, false, connection, self.object)
  end
  self.object:setIsSprayerFilling(self.isFilling, true)
end
function SprayerSetIsFillingEvent.sendEvent(object, isFilling, noEventSend)
  if isFilling ~= object.isSprayerFilling and (noEventSend == nil or noEventSend == false) then
    if g_server ~= nil then
      g_server:broadcastEvent(SprayerSetIsFillingEvent:new(object, isFilling), nil, nil, self)
    else
      g_client:getServerConnection():sendEvent(SprayerSetIsFillingEvent:new(object, isFilling))
    end
  end
end
